List Clusters
curl --request GET \
--url https://api.primeintellect.ai/api/admin/clusters \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.primeintellect.ai/api/admin/clusters"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.primeintellect.ai/api/admin/clusters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"name": "<string>",
"providerType": "<string>",
"status": "<string>",
"vaultEnabled": true,
"createdAt": "2023-11-07T05:31:56Z",
"teamId": "<string>",
"userId": "<string>",
"controller": {
"podId": "<string>",
"host": "<string>",
"user": "<string>",
"podName": "<string>",
"port": 22,
"role": "<string>",
"isControlNode": false
},
"nodes": [
{
"podId": "<string>",
"host": "<string>",
"user": "<string>",
"podName": "<string>",
"port": 22,
"role": "<string>",
"isControlNode": false
}
]
}
],
"total_count": 0,
"offset": 0,
"limit": 100,
"status": "<string>"
}{
"errors": [
{
"param": "<string>",
"details": "<string>"
}
]
}admin-clusters
List Clusters
List non-terminated clusters (auto-scoped to the caller’s grants).
GET
/
api
/
admin
/
clusters
List Clusters
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
If true, return only vault-enabled clusters; if false, only non-vault-enabled. Omit to include both.
Case-insensitive substring match against cluster name or id.
Number of items to skip.
Required range:
x >= 0Max items to return (1-100).
Required range:
1 <= x <= 100If true, populate nodes for each cluster (one entry per pod). Otherwise only the controller connection is returned.
Response
Successful Response
Show child attributes
Show child attributes
Total number of items available in the dataset
Number of items to skip before starting to collect the result set
Required range:
x >= 0Maximum number of items to return
Required range:
x >= 0Response status
Was this page helpful?